Page MenuHomePhabricator

"Search within pages" message doesn't show in zh-hk, zh-tw and zh-mo UI lang on zhwiki
Closed, InvalidPublic

Description

When I write some nonsense to the search box, will show

沒有頁面使用此標題。

'''⧼mobile-frontend-search-content/zh-hk⧽''' 以查看此詞語是否出現在其他地方。

This situation appears in zh-hk, zh-tw and zh-mo user interface language, and it seems to only affect zhwiki.

Screenshots:

zh-mozh-twzh-hk

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2018, 4:42 AM
RazeSoldier moved this task from Backlog to Bugs on the MobileFrontend board.Aug 25 2018, 4:43 AM
RazeSoldier renamed this task from "Search within pages" message doesn't show under zh-hk, zh-tw and zh-mo UI lang to "Search within pages" message doesn't show in zh-hk, zh-tw and zh-mo UI lang on zhwiki.Aug 25 2018, 4:55 AM
RazeSoldier updated the task description. (Show Details)
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptAug 25 2018, 4:55 AM

Can any intetface admins fix it by customizing the interface text?

RazeSoldier added a comment.EditedAug 25 2018, 5:21 AM

Can any intetface admins fix it by customizing the interface text?

The problem doesn't seem to be a missing page message. MediaWiki:Mobile-frontend-search-content/zh-hk, MediaWiki:Mobile-frontend-search-content/zh-mo and MediaWiki:Mobile-frontend-search-content/zh-tw existed.

Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

I don't know enough about this to know what's going wrong but the message is not defined:

> mw.messages.values["mobile-frontend-search-content/zh-hk"]
undefined

mw.message( 'mobile-frontend-search-content-no-results' ).text()
13:15:53.593 "'''⧼mobile-frontend-search-content/zh-hk⧽''' 以查看此詞語是否出現在其他地方。"
mw.message( 'mobile-frontend-search-content-no-results' ).parse()
"'''⧼mobile-frontend-search-content/zh-hk⧽''' 以查看此詞語是否出現在其他地方。"

The message is shipped by RL here:
https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/master/extension.json#L558

How does client side language variant support work? Language team can you help guide us with what's happening here?
Nikerabbit added a subscriber: Nikerabbit.

mw.messages never contains language codes, to my knowledge.

What is the raw value of mobile-frontend-search-content-no-results before it is parsed?

Does this happen with other wikis using variants (sr, kk)?

ovasileva triaged this task as Medium priority.Aug 28 2018, 11:20 AM
Jdlrobson closed this task as Invalid.Aug 29 2018, 11:17 PM

https://zh.m.wikipedia.org/wiki/2008年夏季奧林匹克運動會賽艇比賽—女子四人雙槳?uselang=zh-hk
Not seeing any issues in the placeholder.

No problems in language variant header here:
https://sr.m.wikipedia.org/wiki/Монтесори_метод?uselang=sr-ec

Im guessing the problem here might be using int in the message itself

https://gerrit.wikimedia.org/r/433082 is likely related.
However https://zh.m.wikipedia.org/wiki/Special:%E7%A7%BB%E5%8A%A8%E7%89%88%E5%B7%AE%E5%BC%82/51083103

didn't seem to work.

I then noticed Mediawiki:int:mobile-frontend-search-content/zh-hk doesnt exist on the wiki
This edit fixed it: https://zh.m.wikipedia.org/wiki/Special:移动版差异/51083124

So this is behaving exactly as it should. When using int the message must exist!

Let me know if any further questions. Thanks for the pointers @Nikerabbit

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 29 2018, 11:17 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 31 2018, 3:01 AM

I deleted MediaWiki:Mobile-frontend-search-content-no-results/zh-tw, /hk and /mo then it works correctly.

MediaWiki:Mobile-frontend-search-content-no-results/zh-tw original content is '''{{int:mobile-frontend-search-content/zh-tw}}''' 以查看此詞語是否出現在其他地方。. But Mediawiki:mobile-frontend-search-content/zh-tw is not exist in local.